Qt 5.6 | Qt 3D | QML Types | Buffer QML Type

Qt 5.6.3 Reference Documentation

# Buffer QML Type

Import Statement: | import Qt3D.Render 2.0
Instantiates: | QBuffer

- List of all members, including inherited members

## Properties

- sync : bool
- type : QBuffer::BufferType
- usage : QBuffer::UsageType

## Detailed Description

## Property Documentation

sync : bool

Holds the sync flag. When sync is true, this will force data created by a Qt3DRender::QBufferFunctor to also be updated on the frontend Qt3DRender::QBuffer node. By default sync is false.

Note: : This has no effect if the buffer's data was set directly using the data property.

type : QBuffer::BufferType

Holds the buffer type.

usage : QBuffer::UsageType

Holds the buffer usage.